%define major 15
%define libname %mklibname osip2_ %major
%define libname_devel %mklibname -d osip2

Summary:	Implementation of SIP - rfc3261
Name:		libosip2
Version: 	5.3.1
Release: 	%mkrel 1
License: 	LGPLv2+
Group:		System/Libraries
URL: 		https://savannah.gnu.org/projects/osip/
Source0:	https://ftp.gnu.org/gnu/osip/%{name}-%{version}.tar.gz

%description
This is the oSIP library. It has been designed to provide the
Internet Community a simple way to support the Session Initiation
Protocol. SIP is described in the RFC3261 which is available at
https://www.ietf.org/rfc/rfc3261.txt

%package -n	%{libname}
Summary:	Implementation of SIP - rfc2543
Group:		System/Libraries
Obsoletes:	%{mklibname osip2} < %version
Obsoletes:	%{_lib}osip2_4 < %version
Conflicts:	%{_lib}osip2_7 < %version

%description -n	%{libname}
This is the oSIP library. It has been designed to provide the
Internet Community a simple way to support the Session Initiation
Protocol. SIP is described in the RFC3261 which is available at
https://www.ietf.org/rfc/rfc3261.txt

%package -n	%{libname_devel}
Summary:	Header file required to build programs using liboSIP
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{libname_devel}
Developments files for %{libname} (oSIP Library). Needed to build
apps such as linphone and siproxd.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -fi -Iscripts
%configure --disable-static
%make_build

%install
%make_install

mv %{buildroot}%{_mandir}/man1/osip.1 %{buildroot}%{_mandir}/man1/osip2.1

# don't ship .a, .la
rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%doc AUTHORS BUGS ChangeLog NEWS README TODO
%{_libdir}/*.so.%{major}{,.*}
%{_mandir}/man1/*

%files -n %{libname_devel}
%{_libdir}/*.so
%{_includedir}/osip2
%{_includedir}/osipparser2
%{_libdir}/pkgconfig/*.pc


%changelog
* Mon Oct 17 2022 ns80 <ns80> 5.3.1-1.mga9
+ Revision: 1897212
- new version 5.3.1 for CVE-2022-41550 (mga#30963)

* Tue Mar 15 2022 umeabot <umeabot> 5.0.0-5.mga9
+ Revision: 1792051
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 5.0.0-4.mga8
+ Revision: 1514349
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 5.0.0-3.mga7
+ Revision: 1299075
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Sun Apr 30 2017 neoclust <neoclust> 5.0.0-2.mga6
+ Revision: 1098124
- Add P0 - Fix upstream bugreport 109265

* Sun Apr 30 2017 neoclust <neoclust> 5.0.0-1.mga6
+ Revision: 1098111
- New version - Fixes CVE-2016-1032[4-6] and CVE-2017-7853 (mga#20758)

* Tue Feb 02 2016 umeabot <umeabot> 4.0.0-5.mga6
+ Revision: 932144
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 4.0.0-4.mga5
+ Revision: 742196
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.0.0-3.mga5
+ Revision: 681692
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 4.0.0-2.mga4
+ Revision: 528842
- Mageia 4 Mass Rebuild

* Fri Jun 28 2013 fwang <fwang> 4.0.0-1.mga4
+ Revision: 447670
- new version 4.0.0

* Sat Jan 12 2013 umeabot <umeabot> 3.6.0-2.mga3
+ Revision: 357939
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 26 2011 fwang <fwang> 3.6.0-1.mga2
+ Revision: 187827
- new version 3.6.0
- new version 3.5.0

* Thu Jan 20 2011 ahmad <ahmad> 3.3.0-3.mga1
+ Revision: 26953
- don't ship .a, .la
- drop old/unneeded scriptlets
- imported package libosip2


* Sun Nov 28 2010 Oden Eriksson <oeriksson@mandriva.com> 3.3.0-2mdv2011.0
+ Revision: 602593
- rebuild

* Mon Mar 22 2010 Emmanuel Andry <eandry@mandriva.org> 3.3.0-1mdv2010.1
+ Revision: 526639
- New version 3.3.0

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 3.2.0-3mdv2010.1
+ Revision: 520895
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 3.2.0-2mdv2010.0
+ Revision: 425683
- rebuild

* Thu Feb 19 2009 Emmanuel Andry <eandry@mandriva.org> 3.2.0-1mdv2009.1
+ Revision: 342736
- New version 3.2.0
- New major 4
- diff P0 to fix str fmt

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 3.1.0-3mdv2009.0
+ Revision: 264852
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed May 28 2008 Funda Wang <fwang@mandriva.org> 3.1.0-2mdv2009.0
+ Revision: 212620
- Obsoletes old wrong package name

* Wed May 28 2008 Funda Wang <fwang@mandriva.org> 3.1.0-1mdv2009.0
+ Revision: 212528
- New version 3.1.

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 3.0.3-4mdv2008.1
+ Revision: 170952
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Thu Jan 24 2008 Colin Guthrie <cguthrie@mandriva.org> 3.0.3-3mdv2008.1
+ Revision: 157636
- Fix self obsoleting devel package

* Thu Jan 24 2008 Colin Guthrie <cguthrie@mandriva.org> 3.0.3-2mdv2008.1
+ Revision: 157486
- Bump release for buildsystem lock.
- Conform to new library policy
- Update to 3.0.3

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Tue Mar 27 2007 Oden Eriksson <oeriksson@mandriva.com> 2.2.2-3mdv2007.1
+ Revision: 148965
- fix #28156 ;)

* Mon Dec 11 2006 Oden Eriksson <oeriksson@mandriva.com> 2.2.2-2mdv2007.1
+ Revision: 94967
- rebuild
- fix deps

* Mon Dec 11 2006 Oden Eriksson <oeriksson@mandriva.com> 2.2.2-1mdv2007.1
+ Revision: 94759
- Import libosip2

* Sat Dec 03 2005 Austin Acton <austin@mandriva.org> 2.2.2-1mdk
- New release 2.2.2

* Thu Mar 31 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.2.0-3mdk
- make it lib64 friendly

* Tue Mar 22 2005 Frederic Lepied <flepied@mandrakesoft.com> 2.2.0-2mdk
- final 2.2.0

* Wed Feb 09 2005 Austin Acton <austin@mandrake.org> 2.2.0-1mdk
- 2.2.0
- fix source URL
- remove build hacks

* Fri Dec 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.9-2mdk
- fix man page file clash

* Fri Dec 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.9-1mdk
- 2.0.9
- used the libosip spec file

* Tue Sep 21 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.9.7-5mdk
- back

* Fri Aug 20 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.9.7-4mdk
- 0.9.7

